Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonah Graham2020-10-15 01:22:07 +0000
committerJonah Graham2020-10-15 18:11:25 +0000
commit15ebfe144db97baaeca658d85b5c13414413f0cc (patch)
tree8a91c627ed4914cfb9fc1c9a8ad92194c2a4d867
parentd905d62528c25ba16f40853b358e3ad248432e30 (diff)
downloadorg.eclipse.epp.packages-15ebfe144db97baaeca658d85b5c13414413f0cc.tar.gz
org.eclipse.epp.packages-15ebfe144db97baaeca658d85b5c13414413f0cc.tar.xz
org.eclipse.epp.packages-15ebfe144db97baaeca658d85b5c13414413f0cc.zip
Remove redundant/obsolete/unnecessary scripts
Note: packages_map.txt and functions.sh was just a way of copying files from git to the local directory. As the repo is checked out when promote-a-build is run, we don't need to go back to git again to get these files. Also, the renaming that happened followed a very repeatable pattern, so in all we can get rid of two large files and replace it with a short loop in promote-a-build. Change-Id: If7acd44d662c7ff9cb7957442cb9be9a430d1cc3
-rw-r--r--releng/org.eclipse.epp.config/packages_map.txt62
-rwxr-xr-xreleng/org.eclipse.epp.config/tools/functions.sh73
-rwxr-xr-xreleng/org.eclipse.epp.config/tools/makeVisible.sh193
-rwxr-xr-xreleng/org.eclipse.epp.config/tools/mirrorRepositories.sh30
-rwxr-xr-xreleng/org.eclipse.epp.config/tools/promote-a-build.sh9
5 files changed, 6 insertions, 361 deletions
diff --git a/releng/org.eclipse.epp.config/packages_map.txt b/releng/org.eclipse.epp.config/packages_map.txt
deleted file mode 100644
index ed800a54..00000000
--- a/releng/org.eclipse.epp.config/packages_map.txt
+++ /dev/null
@@ -1,62 +0,0 @@
-# EPP package definitions
-# name, [CVS,GIT], repository string, path to file, version [HEAD], EPP local filename
-
-# package definitions provided by EPP
-## 1st: EPP package definition
-## 2nd: feature.xml renamed
-
-committers,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.committers.feature/epp.website.xml,HEAD,committers.xml
-committers,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.committers.feature/feature.xml,HEAD,committers.feature.xml
-committers,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.committers.product/epp.product,HEAD,committers.product.xml
-
-cpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.cpp.feature/epp.website.xml,HEAD,cpp.xml
-cpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.cpp.feature/feature.xml,HEAD,cpp.feature.xml
-cpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.cpp.product/epp.product,HEAD,cpp.product.xml
-
-dsl,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.dsl.feature/epp.website.xml,HEAD,dsl.xml
-dsl,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.dsl.feature/feature.xml,HEAD,dsl.feature.xml
-dsl,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.dsl.product/epp.product,HEAD,dsl.product.xml
-
-embedcpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.embedcpp.feature/epp.website.xml,HEAD,embedcpp.xml
-embedcpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.embedcpp.feature/feature.xml,HEAD,embedcpp.feature.xml
-embedcpp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.embedcpp.product/epp.product,HEAD,embedcpp.product.xml
-
-java,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.java.feature/epp.website.xml,HEAD,java.xml
-java,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.java.feature/feature.xml,HEAD,java.feature.xml
-java,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.java.product/epp.product,HEAD,java.product.xml
-
-javascript,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.javascript.feature/epp.website.xml,HEAD,javascript.xml
-javascript,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.javascript.feature/feature.xml,HEAD,javascript.feature.xml
-javascript,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.javascript.product/epp.product,HEAD,javascript.product.xml
-
-jee,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.jee.feature/epp.website.xml,HEAD,jee.xml
-jee,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.jee.feature/feature.xml,HEAD,jee.feature.xml
-jee,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.jee.product/epp.product,HEAD,jee.product.xml
-
-modeling,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.modeling.feature/epp.website.xml,HEAD,modeling.xml
-modeling,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.modeling.feature/feature.xml,HEAD,modeling.feature.xml
-modeling,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.modeling.product/epp.product,HEAD,modeling.product.xml
-
-parallel,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.parallel.feature/epp.website.xml,HEAD,parallel.xml
-parallel,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.parallel.feature/feature.xml,HEAD,parallel.feature.xml
-parallel,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.parallel.product/epp.product,HEAD,parallel.product.xml
-
-php,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.php.feature/epp.website.xml,HEAD,php.xml
-php,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.php.feature/feature.xml,HEAD,php.feature.xml
-php,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.php.product/epp.product,HEAD,php.product.xml
-
-rcp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rcp.feature/epp.website.xml,HEAD,rcp.xml
-rcp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rcp.feature/feature.xml,HEAD,rcp.feature.xml
-rcp,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rcp.product/epp.product,HEAD,rcp.product.xml
-
-rust,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rust.feature/epp.website.xml,HEAD,rust.xml
-rust,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rust.feature/feature.xml,HEAD,rust.feature.xml
-rust,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.rust.product/epp.product,HEAD,rust.product.xml
-
-scout,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.scout.feature/epp.website.xml,HEAD,scout.xml
-scout,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.scout.feature/feature.xml,HEAD,scout.feature.xml
-scout,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.scout.product/epp.product,HEAD,scout.product.xml
-
-testing,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.testing.feature/epp.website.xml,HEAD,testing.xml
-testing,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.testing.feature/feature.xml,HEAD,testing.feature.xml
-testing,GIT,/gitroot/epp/org.eclipse.epp.packages.git,packages/org.eclipse.epp.package.testing.product/epp.product,HEAD,testing.product.xml
diff --git a/releng/org.eclipse.epp.config/tools/functions.sh b/releng/org.eclipse.epp.config/tools/functions.sh
deleted file mode 100755
index 16f8b0d2..00000000
--- a/releng/org.eclipse.epp.config/tools/functions.sh
+++ /dev/null
@@ -1,73 +0,0 @@
-
-
-function cvsCheckout {
- if [ -z $4 ]
- then
- echo "No parameters passed to function cvsCheckout()."
- return 0
- fi
- REPSTRING=$1
- FILEPATH=$2
- VERSION=$3
- FILENAME=$4
-
- echo "Checking out ${FILEPATH} to ${FILENAME}"
- cvs -q -d ${REPSTRING} checkout -r ${VERSION} -p ${FILEPATH} >${FILENAME}
-}
-
-
-function gitCheckout {
- if [ -z $4 ]
- then
- echo "No parameters passed to function gitCheckout()."
- return 0
- fi
- GITURL=$1
- GITPATH=$2
- GITBRANCH=$3
- FILENAME=$4
-
- echo "Checking out ${GITPATH} to ${FILENAME}"
- git archive --format=tar \
- --remote=${GITURL} ${GITBRANCH} ${GITPATH} | tar xf - --to-stdout >${FILENAME}
-}
-
-function pullAllConfigFiles {
- if [ -z $2 ]
- then
- echo "No parameters passed to function pullAllConfigFiles()."
- return 0
- fi
-
- if [ ! -d $2 ]
- then
- echo "Directory $2 does not exist."
- return 0
- fi
-
- # read relevant (non comment, non empty) lines from package definition map file
- ALL_PACKAGES=`grep -v '^#' $1 | grep -v '^\s*$'`
-
-
- # name, [CVS,GIT], repository string, path to file, version [HEAD], EPP local filename
- # cpp,CVS,:pserver:anonymous@dev.eclipse.org:/cvsroot/technology,org.eclipse.epp/packages/org.eclipse.epp.package.cpp.feature/eclipse_cpp_juno.xml,HEAD,cpp.xml
- # cpp,CVS,:pserver:anonymous@dev.eclipse.org:/cvsroot/technology,org.eclipse.epp/packages/org.eclipse.epp.package.cpp.feature/feature.xml,HEAD,cpp.feature.xml
- ALL_PACKAGE_NAMES=""
- for II in ${ALL_PACKAGES};
- do
- PACKAGE_NAME=`echo ${II} | cut -d "," -f 1`
- REPTYPE=`echo ${II} | cut -d "," -f 2`
- REPSTRING=`echo ${II} | cut -d "," -f 3`
- FILEPATH=`echo ${II} | cut -d "," -f 4`
- VERSION=`echo ${II} | cut -d "," -f 5`
- FILENAME=`echo ${II} | cut -d "," -f 6`
-
- if [ "${REPTYPE}" = "CVS" ]; then
- cvsCheckout ${REPSTRING} ${FILEPATH} ${VERSION} ${2}/${FILENAME}
- elif [ "${REPTYPE}" = "GIT" ]; then
- gitCheckout ${REPSTRING} ${FILEPATH} ${VERSION} ${2}/${FILENAME}
- fi
- ALL_PACKAGE_NAMES="${ALL_PACKAGE_NAMES} ${PACKAGE_NAME}"
- done
-}
-
diff --git a/releng/org.eclipse.epp.config/tools/makeVisible.sh b/releng/org.eclipse.epp.config/tools/makeVisible.sh
deleted file mode 100755
index 3c9b4612..00000000
--- a/releng/org.eclipse.epp.config/tools/makeVisible.sh
+++ /dev/null
@@ -1,193 +0,0 @@
-#!/usr/bin/env bash
-#*******************************************************************************
-# Copyright (c) 2016, 2017 IBM Corporation and others.
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v2.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v20.html
-#
-# Contributors:
-# David Williams - initial API and implementation
-# Initial version based on similar file in Sim Release repository
-#*******************************************************************************
-
-
-# Small utility to more automatically do the renames the morning of "making visible",
-# after artifacts have mirrored. In theory, could be done by a cron or at job.
-#
-# Note, copy is used, instead of move, so that the parent directory's "modified time" does not change.
-# That way the mirroring script won't falsely report "no mirrors" (for a while).
-#
-# Plus, we "copy over" any existing files, under the assumption that previous labeled files are left in place,
-# for a while, so they'd serve as backup. If that ever changes, should make a --backup of
-# the original files ... just in case ... but then modified time of parent directory would be
-# changed.
-#
-# And notice we do "artifacts" first, so by the time "content" can be retrieved, by p2, thre will be
-# valid artifacts "pointed to". If anyone has already fetched 'content' and in the middle of getting
-# artifacts, their downloads should nearly always continue to work (except we do keep only 3 milestones
-# in composite, so in theory, they might have stale 'content' data that pointed to an old artifact that
-# was no longer in (the newly copied) 'artifacts' file.
-
-function usage ()
-{
- printf "\n\t%s" "This utility, ${0##*/}, is to copy the two metadataXX.jars to their final name of metadata.jar." >&2
- printf "\n\t\t%s\n" "Example: ${0##*/} 'trainName' 'checkpoint'" >&2
- printf "\n\t%s" "Both arguments are required." >&2
- printf "\n\t%s" "'trainName' is the final directory segment of where the composite files reside," >&2
- printf "\n\t\t%s\n" "such as neon, oxygen, photon, etc." >&2
- printf "\n\t%s" "'checkpoint' is the pre-visibility label given to the metadata files," >&2
- printf "\n\t\t%s\n" "such as M4, RC1, etc. or simply R for final release, 1 for Update 1, etc.." >&2
- printf "\n\t\t%s\n" "For example, for Neon.1 the file content1.jar is copied to content.jar " >&2
- printf "\n\t\t\t%s\n" "and content1.xml.xz, if it exists, is copied to content.xml.xz" >&2
- printf "\n\t\t%s\n" "If the contentN.jar or artifactsN.jar do not exist, it is treated as an error." >&2
- printf "\n\t\t%s\n" "But if the corresponding "xz" versions do not exist, it is treated as a warning." >&2
-}
-
-function changeNamesByCopy ()
-{
-
- REPO_ROOT=$1
-
- # be paranoid with sanity checks
- if [[ -z "${REPO_ROOT}" ]]
- then
- printf "\n\t[ERROR] REPO_ROOT must be passed in to this function ${0##*/}\n"
- exit 1
- elif [[ ! -e "${REPO_ROOT}" ]]
- then
- printf "\n\t[ERROR] REPO_ROOT did not exist!\n\tREPO_ROOT: ${REPO_ROOT}\n"
- exit 1
- elif [[ ! -w "${REPO_ROOT}" ]]
- then
- printf "\n\t\[ERROR] We do not appear to have write access to REPO_ROOT\n"
- else
- printf "\n\t[INFO] REPO_ROOT existed as expected:\n\tREPO_ROOT: ${REPO_ROOT}\n\n"
- fi
-
- artifactsFileName="artifacts"
- contentFileName="content"
- oldArtifactsJarName="${artifactsFileName}${CHECKPOINT}.jar"
- oldContentJarName="${contentFileName}${CHECKPOINT}.jar"
- newArtifactsJarName="${artifactsFileName}.jar"
- newContentJarName="${contentFileName}.jar"
- oldArtifactsXZName="${artifactsFileName}${CHECKPOINT}.xml.xz"
- oldContentXZName="${contentFileName}${CHECKPOINT}.xml.xz"
- newArtifactsXZName="${artifactsFileName}.xml.xz"
- newContentXZName="${contentFileName}.xml.xz"
-
- # Note: we check for all error conditions first, so if there is any one error, we make no changes.
- if [[ ! -e "${REPO_ROOT}/${oldArtifactsJarName}" ]]
- then
- printf "\n\t[ERROR] ${oldArtifactsJarName} did not exist in REPO_ROOT!\n"
- exit 1
- fi
- if [[ ! -e "${REPO_ROOT}/${oldContentJarName}" ]]
- then
- printf "\n\t[ERROR] ${oldContentJarName} did not exist in REPO_ROOT!\n"
- exit 1
- fi
-
- # TODO: should these be errors?
- if [[ ! -e "${REPO_ROOT}/${oldArtifactsXZName}" ]]
- then
- printf "\n\t[WARNING] ${oldArtifactsXZName} did not exist in REPO_ROOT!\n"
- fi
- if [[ ! -e "${REPO_ROOT}/${oldContentXZName}" ]]
- then
- printf "\n\t[WARNING] ${oldContentXZName} did not exist in REPO_ROOT!\n"
- fi
-
- # The copy work begins here, still checking for errors on each
- # verbose doesn't help too much if out-format given
- verboseOutput=
- #verboseOutput="--verbose"
- # out-format gives us the names of files copied
- #outputFormat=
- # using %i gives details of "what" changed about existing item.
- # In our case it typically says something like: '>f..T......artifacts1.jar'
- # Which means "transferred" "file" and its "Time" changed.
- # (Does say say new name of file, though ... ll -tr will give "most recent"
- # files at end of listing).
- outputFormat="--out-format='%i%n%L'"
- rsync ${outputFormat} --group ${verboseOutput} ${REPO_ROOT}/${oldArtifactsJarName} ${REPO_ROOT}/${newArtifactsJarName}
- RC=$?
- if [[ $RC != 0 ]]
- then
- printf "\n\t[ERROR] copy returned a non zero return code for ${oldArtifactsJarName}. RC: $RC\n"
- exit $RC
- fi
- rsync ${outputFormat} --group ${verboseOutput} ${REPO_ROOT}/${oldContentJarName} ${REPO_ROOT}/${newContentJarName}
- RC=$?
- if [[ $RC != 0 ]]
- then
- printf "\n\t[ERROR] copy returned a non zero return code for ${oldContentJarName}. RC: $RC\n"
- exit $RC
- fi
-
- if [[ -e ${REPO_ROOT}/${oldArtifactsXZName} ]]
- then
- rsync ${outputFormat} --group ${verboseOutput} ${REPO_ROOT}/${oldArtifactsXZName} ${REPO_ROOT}/${newArtifactsXZName}
- RC=$?
- if [[ $RC != 0 ]]
- then
- printf "\n\t[ERROR] copy returned a non zero return code for ${oldArtifactsXZName}. RC: $RC\n"
- exit $RC
- fi
- fi
- if [[ -e ${REPO_ROOT}/${oldContentXZName} ]]
- then
- rsync ${outputFormat} --group ${verboseOutput} ${REPO_ROOT}/${oldContentXZName} ${REPO_ROOT}/${newContentXZName}
- RC=$?
- if [[ $RC != 0 ]]
- then
- printf "\n\t[ERROR] copy returned a non zero return code for ${oldContentXZName}. RC: $RC\n"
- exit $RC
- fi
-fi
-
-}
-
-# This is entry point to "main" function
-# We require both arguments, since to provide a default could lead to
-# very bad errors if wrong value of "trainName" was used.
-
-if [[ ! $# = 2 ]]
-then
- printf "\n\t[ERROR] Wrong number of arguments to ${0##*/}\n"
- usage
- exit 1
-fi
-
-
-TRAIN_NAME=$1
-CHECKPOINT=$2
-
-printf "\n\tArguments to utility were:"
-printf "\n\t\tTRAIN_NAME: ${TRAIN_NAME}"
-printf "\n\t\tCHECKPOINT: ${CHECKPOINT}\n"
-
-if [[ -z "${CHECKPOINT}" || -z "${TRAIN_NAME}" ]]
-then
- # This would be rare. Equates to something like ./makevisible.sh "" M2
- # But, just in case. Note that something like ./makevisible " " M2
- # is still not handled well.
- printf "\n\t%s\n" "[ERROR]: one or both required arguments were empty?!\n" >&2
- usage
- exit 1
-fi
-
-# Note: we do "Sim Rel repo" first, to avoid a small window of users getting
-# EPP metadata for update, but the Sim Rel repo not being ready.
-# Note: we allow "override" of the repo roots by env. variable to make testing easier.
-
-EPP_REPO_ROOT=${EPP_REPO_ROOT:-/home/data/httpd/download.eclipse.org/technology/epp/packages/${TRAIN_NAME}}
-changeNamesByCopy "${EPP_REPO_ROOT}"
-RC=$?
-if [[ $RC != 0 ]]
-then
- printf "\n\t[ERROR] changeNamesByCopy returned non-zero return code. RC: $RC\n"
- exit $RC
-fi
-exit 0
-
diff --git a/releng/org.eclipse.epp.config/tools/mirrorRepositories.sh b/releng/org.eclipse.epp.config/tools/mirrorRepositories.sh
deleted file mode 100755
index 71b38cc2..00000000
--- a/releng/org.eclipse.epp.config/tools/mirrorRepositories.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-
-# directory that points to an Eclipse SDK or similar
-ECLIPSE_DIR="/opt/eclipse/64/eclipse.rcp.kepler.m7"
-#ECLIPSE_DIR="/shared/technology/epp/epp_build/photon/eclipse"
-
-ECLIPSE="${ECLIPSE_DIR}/eclipse"
-
-if [ $# -gt "0" ]
-then
- echo "Using list of given URLs."
- until [ -z "$1" ] # Until all parameters used up . . .
- do
- REPO_URL=${1}
- echo "Using URL ${REPO_URL}"
- shift
- ${ECLIPSE} -noSplash -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source ${REPO_URL} -destination file:.
- ${ECLIPSE} -noSplash -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source ${REPO_URL} -destination file:.
- done
-else
- echo "Searching for local repositories."
- for II in `ls -tr */content.jar`;
- do
- REPO_URL=${II%/content.jar}
- echo "Using URL ${REPO_URL}"
- ${ECLIPSE} -noSplash -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source ${REPO_URL} -destination file:.
- ${ECLIPSE} -noSplash -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source ${REPO_URL} -destination file:.
- done
-fi
-
diff --git a/releng/org.eclipse.epp.config/tools/promote-a-build.sh b/releng/org.eclipse.epp.config/tools/promote-a-build.sh
index ef688fc7..7e703491 100755
--- a/releng/org.eclipse.epp.config/tools/promote-a-build.sh
+++ b/releng/org.eclipse.epp.config/tools/promote-a-build.sh
@@ -54,9 +54,12 @@ popd
# archive will be empty now, unless we are only publishing some packages
rm -rvf archive.zip archive
-# check-out configuration
-. functions.sh
-pullAllConfigFiles packages_map.txt .
+# place configurations in final location
+for PACKAGE in $PACKAGES; do
+ cp ${WORKSPACE}/packages/org.eclipse.epp.package.${PACKAGE}.feature/epp.website.xml ${PACKAGE}.xml
+ cp ${WORKSPACE}/packages/org.eclipse.epp.package.${PACKAGE}.feature/feature.xml ${PACKAGE}.feature.xml
+ cp ${WORKSPACE}/packages/org.eclipse.epp.package.${PACKAGE}.product/epp.product ${PACKAGE}.product.xml
+done
# Rename incubation packages
INCUBATION=`ls *.xml | grep -v feature | xargs grep "product name=\"eclipse.*incubation" | sed 's/^.*\(eclipse-.*\)-incubation.*/\1/'`

Back to the top